Subject: [Roll] NSA extn review

From: Rahul Jadhav <[email-masked]>
Date: Fri, 27 Sep 2019 01:26:54 +0000

Hello, Authors of NSA-extension,

I agreed to review the document in IETF105 and would like to provide my comments.

But before going into details, will it be possible to upload the XML version of the draft to the datatracker? Unlike other drafts, I do not see the XML form of this draft! Also, it would be much efficient if we sync using GitHub repo (where I can send PR for you to review).

My primary point of discussion would be the way MRHoF is handled in the draft.
The current text/OF described in the document seems insufficient.
MRHOF makes sense only for metrics that are additive in nature. The CAOFs presented in the document are not additive, and the text simply tries to somehow fit MRHOF in the context.

The draft reserves different OCPs for different Common Ancestor Policies (Strict, Medium, Relaxed). I thought that the policies are local in nature and different nodes in the same instance could use different policies. If we use different OCPs, then this is not possible. It is impractical to assume that certain policies (such as CA Strict policy) can be enforced using OCP.

The promiscuous overhearing assumes different security settings. I read the refed draft in 6tisch and it explains the assumptions, however, I believe it is better we explain the security implication of promiscuous overhearing in the security considerations in this draft.

Regards,
Rahul